Bug 172210 - Networking dies when iperf command run
Networking dies when iperf command run
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-01 11:12 EST by Ryan Sharpe
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 09:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Sharpe 2005-11-01 11:12:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
When ever I run the iperf command all network connectivity dies. It doesn't matter what switches I use to run it. I used a precompiled version and a compiled version. When I use either of the 2.6.13 kernel updates from red hat all the network connectivity to the server dies. To regain connectivity I use the network init script and cycle the interface. When I use the base kernel (2.6.11) I can run iperf just fine. It has never mattered what user the command is run as. I am running a Dell 2850 with a Intel Corporation 82541GI/PI Gigabit Ethernet Controller. 

Version-Release number of selected component (if applicable):
kernel-2.6.13-*

How reproducible:
Always

Steps to Reproduce:
1. Login
2. Run iperf
3.
  

Actual Results:  ------------------------------------------------------------
Client connecting to x.x.x.x, TCP port 5001
TCP window size: 96.0 KByte (WARNING: requested 48.0 KByte)
------------------------------------------------------------
[  3] local x.x.x.x port 51319 connected with x.x.x.x port 5001

Then all connectivity dies and the iperf process never finishes and never exits

Expected Results:  ------------------------------------------------------------
Client connecting to x.x.x.x, TCP port 5001
TCP window size: 96.0 KByte (WARNING: requested 48.0 KByte)
------------------------------------------------------------
[  3] local x.x.x.x port 51319 connected with x.x.x.x port 5001
[  3]  0.0-10.0 sec  65.8 MBytes  55.2 Mbits/sec
[root@fjdkl rsharpe]#

Additional info:
Comment 1 Dave Jones 2005-11-04 19:55:49 EST
does the 2.6.14 update in updates-testing fix this ?
Comment 2 Ryan Sharpe 2005-11-07 08:54:17 EST
No the 2.6.14 kernel does the exact same thing.
Comment 3 Dave Jones 2005-11-10 14:52:38 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Dave Jones 2006-02-03 02:03:30 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 09:10:00 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.